<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div class="contentFull left filler-bottom">
    <div class="content-holder filler-bottom">
      <h4>{{"World.Country.TradeEmbargo" | translate }}</h4>
      <p>{{"World.Country.TradeEmbargoInfo" | translate }}</p>
      <div class="adminLaw">
        <ul class="law2">
          <li class="small">
            <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
              [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId" (ngModelChange)="countrySelected($event)">
              <nz-option *ngFor="let item of countries" nzCustomContent nzLabel="{{item.name}}" nzValue="{{item.id}}">
                <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}}
              </nz-option>
            </nz-select>
            <ng-template #custom>
              <span><img src="{{hostUrl}}/{{selectedCountry.flagLocation[0]}}" /> {{selectedCountry.name}} </span>
            </ng-template>
          </li>
          <li>
            <input class="mBtn blButton smaller right" type="button" value="{{ 'World.Country.Propose' | translate }}"
              style="border:none;" (click)="propose()">
          </li>
        </ul>
        <div class="clear"></div>
      </div>
    </div>

    <!-- <app-stat-embargos [country]="country" [activeLaws]="activeLaws"></app-stat-embargos> -->

  </div>
</nz-spin>